Notices


Reply
Thread Tools
Posts: 10 | Thanked: 4 times | Joined on Oct 2017 @ Lyon (France)
#1
Hi all,

I kown that it is propably a common issue here, but I can't find help with the search engine.

I have de-activated the developper mode, and know I can't get it back.

I found several post on TJC dealing with removing openssh from openrepos. I tried, but even warehouse and pkcon don't want to remove it because it could brak the system.

Some info :
Code:
ssu s
Waring : ssu.ini does not see to be wrtieable. Setting  values might not work.
Device registration status : not registered
Device model: Jolla (Sbj / JP-1301)
Device UID :XXXXXXXXXX
Release 2.1.1.23
Domain sales
Code:
pkcon install jolla-developer-mode 
....
...
 Fatal error : jolla-developer-mode-0.4.0-10.28.2.jolla.armv7hl require openssh-server, but this dependency cannot be provide
If I try to install via pkcon openssh-server, it tells me that it needs openssh in version 7.1p2+git2-1.9.4.


An idea for me?
Vincent

Last edited by vbelloir; 2017-10-11 at 06:58.
 
coderus's Avatar
Posts: 6,070 | Thanked: 11,251 times | Joined on Nov 2011 @ Open Mobile Platform, Innopolis, Russia
#2
just maybe your sfos version is so between stable and unstable ones? try to upgrade to 2.1.2 first
__________________
Twitter | Openrepos | GitHub | PayPal.Me
 

The Following User Says Thank You to coderus For This Useful Post:
Posts: 10 | Thanked: 4 times | Joined on Oct 2017 @ Lyon (France)
#3
I think you're right, but without developer mode and root access, I don't know how to do the update.

Whith developer mode, I would do :
Code:
devel-su 
ssu re 2.1.2.3
version --dup
But I only get ShellEx, and devel-su is not recognized : command not found.

And version --dup need to be root.
 
Posts: 391 | Thanked: 1,056 times | Joined on Feb 2014 @ Germany
#4
Are you sure that you need root to execute 'ssu release' and 'version --dup'? I am pretty sure you can execute both commands as nemo.

EDIT: Just tested it and both commands don't need root privileges.

Last edited by mautz; 2017-10-10 at 12:30.
 

The Following User Says Thank You to mautz For This Useful Post:
coderus's Avatar
Posts: 6,070 | Thanked: 11,251 times | Joined on Nov 2011 @ Open Mobile Platform, Innopolis, Russia
#5
I am pretty sure you can update via GUI
__________________
Twitter | Openrepos | GitHub | PayPal.Me
 

The Following 2 Users Say Thank You to coderus For This Useful Post:
Posts: 10 | Thanked: 4 times | Joined on Oct 2017 @ Lyon (France)
#6
no problem for ssu release, it can be run as nemo.

But, with ShellEx, when I run version --dup, the output is:
Code:
command version --dup starting...
Eanble developer mode to use rnd-dist-upgrade, or run as root.
Program returned exit code 0
EDIT: @coderus : I can't, because a patch is in trouble, and the update fails.
--> see in the patchmanager topic.

EDIT2 : I try to solve the patch issue with a pkcon install lipstick-jolla-home-qt5, but it failed with the error : fatal error: user declined simulation

Last edited by vbelloir; 2017-10-10 at 12:43.
 
Posts: 391 | Thanked: 1,056 times | Joined on Feb 2014 @ Germany
#7
If you had opennssh installed of Openrepos, have you disabled NielDKs repo?

Last edited by mautz; 2017-10-10 at 13:15.
 

The Following User Says Thank You to mautz For This Useful Post:
Posts: 10 | Thanked: 4 times | Joined on Oct 2017 @ Lyon (France)
#8
Originally Posted by mautz View Post
If you had opennssh installed of Openrepos, have you disabled NielDKs repo?
NielDKs repo was still enabled.
I disabled it.

Now, openssh is still installed in 7.1P2+git2-1.10.1, and the repo disabled.
I still can't uninstall it.

Thanks for your help.
 

The Following User Says Thank You to vbelloir For This Useful Post:
Posts: 391 | Thanked: 1,056 times | Joined on Feb 2014 @ Germany
#9
Did you try reinstalling the specific patch and try do enable/disable it?

Did you try updating or installing the developer-mode or lipstick-home package in RecoveryMode, or remove the OpenSSH package?

Take a look here: https://together.jolla.com/question/...-in-boot-loop/
 

The Following User Says Thank You to mautz For This Useful Post:
Posts: 10 | Thanked: 4 times | Joined on Oct 2017 @ Lyon (France)
#10
Originally Posted by mautz View Post
Did you try reinstalling the specific patch and try do enable/disable it?
I can reinstall/uninstall it, but I can never unapply it. Even when it is uninstalled, it still appears in patchmanager, and the OS update fails.

Originally Posted by mautz View Post
Did you try updating or installing the developer-mode or lipstick-home package in RecoveryMode, or remove the OpenSSH package?
No, I didn't try the recovery mode. I keep it for the last chance (or factory reset).
 

The Following User Says Thank You to vbelloir For This Useful Post:
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 13:54.